# More complex Looker API queries

It is also possible to directly access Looks via API and change the query parameters programmatically. This is useful both for more complex setups you cannot build in Google Sheets and when you also want to build an interactive version of the same interface.

The API requires a credentials. Instructions to set up credentials are [here](https://cloud.google.com/looker/docs/api-auth). You can also contact ChainArgos for credential support.

Looker's own API documentation is [here](https://developers.looker.com/api/explorer/4.0/). The examples are limited. You definitely want to understand both [a minimal connection](/documentation/api/looker_api/looker_api_basic.md) and [a simple but realistic use case](/documentation/api/looker_api/look_query.md) before bothering with those docs.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chainargos.com/documentation/api/looker_api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
